## ros-genmsg 0.5.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(genmsg)
find_package(catkin REQUIRED)

catkin_package(CFG_EXTRAS genmsg-extras.cmake)

install(
  FILES
  cmake/pkg-genmsg.cmake.em
  cmake/pkg-genmsg.context.in
  cmake/pkg-msg-extras.cmake.in
  cmake/pkg-msg-paths.cmake.develspace.in
  cmake/pkg-msg-paths.cmake.installspace.in
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake)

catkin_python_setup()

install(
  PROGRAMS scripts/genmsg_check_deps.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/genmsg.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/genmsg.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/genmsg"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/genmsg"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload: html
	scp -r _build/html/ wgs32.willowgarage.com:/var/www/www.ros.org/html/doc/api/genmsg/
	scp -r _build/html/ wgs32.willowgarage.com:/var/www/www.ros.org/html/doc/fuerte/api/genmsg/

=== debian/changelog ===
ros-genmsg (0.5.6-4) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 08:32:46 +0100

ros-genmsg (0.5.6-3) unstable; urgency=medium

  * Convert to new catkin with multiarch

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 24 Nov 2015 20:49:12 +0100

ros-genmsg (0.5.6-2) unstable; urgency=medium

  * install pkg-config file for rosmake

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 17 Nov 2015 10:17:35 +0100

ros-genmsg (0.5.6-1) unstable; urgency=medium

  * Initial release (Closes: #804005).

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 15 Nov 2015 21:40:12 +0000

=== debian/control ===
Source: ros-genmsg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
Standards-Version: 3.9.6
Homepage: http://wiki.ros.org/genmsg
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-genmsg.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-genmsg.git
X-Python-Version: >= 2.7

Package: python-genmsg
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python library for generating Robot OS message and service data
 This package is part of Robot OS (ROS). Project genmsg exists in
 order to decouple code generation (from .msg & .srv format files) from
 the parsing of these files and from implementation details of the
 build system.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh  $@ --parallel --buildsystem=cmake --with python2

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_clean:
	dh_auto_clean --
	-find . -name '*.pyc' -print0 | xargs -0 rm -f

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/genmsg-$1\.tar\.gz/ \
  https://github.com/ros/genmsg/releases .*/v?(\d\S*)\.tar\.gz

## ros-genmsg 0.5.7

=== debian/changelog ===
ros-genmsg (0.5.7-1) unstable; urgency=medium

  * Imported Upstream version 0.5.7
  * Refresh patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 11:06:44 +0200

ros-genmsg (0.5.6-5) unstable; urgency=medium

  * Add missing dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 22 Feb 2016 15:34:10 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: python-genmsg
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-empy
 Description: Python library for generating Robot OS message and service data
  This package is part of Robot OS (ROS). Project genmsg exists in
  order to decouple code generation (from .msg & .srv format files) from

## ros-genmsg 0.5.8

=== debian/changelog ===
ros-genmsg (0.5.8-1) unstable; urgency=medium

  * Simplify rules
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Remove lintian override, fixed in lintian 2.5.47
  * New upstream version 0.5.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Sep 2016 18:07:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://wiki.ros.org/genmsg
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-genmsg.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-genmsg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genmsg.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genmsg.git
 X-Python-Version: >= 2.7
 
 Package: python-genmsg

## ros-genmsg 0.5.9

=== debian/changelog ===
ros-genmsg (0.5.9-1) unstable; urgency=medium

  * Update watch file
  * New upstream version 0.5.9
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Aug 2017 16:52:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), catkin (>= 0.6.16-4), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
+Standards-Version: 4.0.0
 Homepage: http://wiki.ros.org/genmsg
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genmsg.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genmsg.git

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean --
-	-find . -name '*.pyc' -print0 | xargs -0 rm -f
+	find . -name '*.pyc' -print0 | xargs -0 rm -f
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-genmsg-$1.tar.gz%" \
    https://github.com/ros/genmsg/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-genmsg 0.5.11

=== debian/changelog ===
ros-genmsg (0.5.11-2) unstable; urgency=medium

  * Move pkgconfig to share

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 19:04:33 +0200

ros-genmsg (0.5.11-1) unstable; urgency=medium

  * Update copyright terms
  * New upstream version 0.5.11
  * Fix Lintian warning

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 12:22:31 +0200

ros-genmsg (0.5.10-2) unstable; urgency=medium

  * Bump policy version and remove get-orig-source
  * Add Python 3 package
  * Remove unused override_dh_auto_install in rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 09 Apr 2018 07:35:35 +0200

ros-genmsg (0.5.10-1) unstable; urgency=medium

  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Move cleanup to d/clean
  * Add R³
  * http -> https
  * New upstream version 0.5.10
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 22:30:51 +0200

=== debian/control ===
Source: ros-genmsg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, python-setuptools, python-all, python3-all, dh-python
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/genmsg
Vcs-Browser: https://salsa.debian.org/science-team/ros-genmsg
Vcs-Git: https://salsa.debian.org/science-team/ros-genmsg.git

Package: python-genmsg
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-empy
Description: Python 2 library for generating Robot OS message and service data
 This package is part of Robot OS (ROS). Project genmsg exists in
 order to decouple code generation (from .msg & .srv format files) from
 the parsing of these files and from implementation details of the
 build system.
 .
 This package contains the Python 2 module.

Package: python3-genmsg
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-empy
Description: Python 3 library for generating Robot OS message and service data
 This package is part of Robot OS (ROS). Project genmsg exists in
 order to decouple code generation (from .msg & .srv format files) from
 the parsing of these files and from implementation details of the
 build system.
 .
 This package contains the Python 3 module.

## ros-genmsg 0.5.12

=== debian/changelog ===
ros-genmsg (0.5.12-1) unstable; urgency=medium

  * New upstream version 0.5.12
  * rebase patches
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jul 2019 22:27:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, python-setuptools, python-all, python3-all, dh-python
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12), catkin, python-setuptools, python-all, python3-all, dh-python
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/genmsg
 Vcs-Browser: https://salsa.debian.org/science-team/ros-genmsg

## ros-genmsg 0.5.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 catkin_python_setup()
 
-install(
+catkin_install_python(
   PROGRAMS scripts/genmsg_check_deps.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-genmsg (0.5.14-1) unstable; urgency=medium

  * New upstream version 0.5.14

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Jan 2020 20:33:30 +0100

ros-genmsg (0.5.12-3) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938377)
  * Bump policy versions (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:59:28 +0200

ros-genmsg (0.5.12-2) unstable; urgency=medium

  * python3-genmsg depends on python-genmsg for cmake files

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 17:42:32 +0200

=== debian/control ===
Source: ros-genmsg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, python3-setuptools, python3-all, dh-python
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/genmsg
Vcs-Browser: https://salsa.debian.org/science-team/ros-genmsg
Vcs-Git: https://salsa.debian.org/science-team/ros-genmsg.git

Package: python3-genmsg
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-empy
Breaks: python-genmsg (<< 0.5.12-3)
Replaces: python-genmsg (<< 0.5.12-3)
Description: Python 3 library for generating Robot OS message and service data
 This package is part of Robot OS (ROS). Project genmsg exists in
 order to decouple code generation (from .msg & .srv format files) from
 the parsing of these files and from implementation details of the
 build system.
 .
 This package contains the Python 3 module.

## ros-genmsg 0.5.16

=== debian/changelog ===
ros-genmsg (0.5.16-5) unstable; urgency=medium

  * Add special handling for Debian /usr workspace

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Sep 2021 22:40:15 +0200

ros-genmsg (0.5.16-4) unstable; urgency=medium

  * Simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 11:35:59 +0100

ros-genmsg (0.5.16-3) unstable; urgency=medium

  * Drop arch path from d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 13:31:57 +0200

ros-genmsg (0.5.16-2) unstable; urgency=medium

  * Generalize d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 09:40:56 +0200

ros-genmsg (0.5.16-1) unstable; urgency=medium

  * New upstream version 0.5.16
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 09:22:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, python3-setuptools, python3-all, dh-python
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, python3-setuptools, python3-all, dh-sequence-python3
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/genmsg
 Vcs-Browser: https://salsa.debian.org/science-team/ros-genmsg

## ros-genmsg 0.6.0

=== debian/changelog ===
ros-genmsg (0.6.0-3) unstable; urgency=medium

  * Make message include dir relocatable

 -- Timo Röhling <roehling@debian.org>  Fri, 27 Sep 2024 17:41:19 +0200

ros-genmsg (0.6.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 12:46:29 +0200

ros-genmsg (0.6.0-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop old Breaks/Replaces

  [ Timo Röhling ]
  * New upstream version 0.6.0
  * Add myself to uploaders
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Oct 2022 20:54:31 +0200

=== debian/control ===
Source: ros-genmsg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin (>= 0.8.10-16~),
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/genmsg
Vcs-Browser: https://salsa.debian.org/science-team/ros-genmsg
Vcs-Git: https://salsa.debian.org/science-team/ros-genmsg.git

Package: python3-genmsg
Architecture: all
Depends:
 python3-empy,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library for generating Robot OS message and service data
 This package is part of Robot OS (ROS). Project genmsg exists in
 order to decouple code generation (from .msg & .srv format files) from
 the parsing of these files and from implementation details of the
 build system.
 .
 This package contains the Python 3 module.

## ros-genmsg 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(genmsg)
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-genmsg (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Aug 2025 10:29:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin (>= 0.8.10-16~),
  debhelper-compat (= 13),
  dh-ros,
  dh-sequence-python3,
+ catkin (>= 0.8.10-16~),
  python3-all,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/genmsg
 Vcs-Browser: https://salsa.debian.org/science-team/ros-genmsg
